Skip to main content

Uc Resource Quotas

View as Markdown

List Quotas GA

GET /api/2.1/unity-catalog/resource-quotas/all-resource-quotas

ListQuotas returns all quota values under the metastore. There are no SLAs on the freshness of the counts returned. This API does not trigger a refresh of quota counts.

PAGINATION BEHAVIOR: The API is by default paginated, a page may contain zero results while still providing a next_page_token. Clients must continue reading pages until next_page_token is absent, which is the only indication that the end of results has been reached.

API scopes: unity-catalog

Parameters

max_resultsint32query

The number of quotas to return.

page_tokenstringquery

Opaque token for the next page of results.

Response

quotasarray of object

An array of returned QuotaInfos.

Show child attributesHide child attributes
parent_securable_typestring

The quota parent securable type.

Values: CATALOG, SCHEMA, TABLE, STORAGE_CREDENTIAL, EXTERNAL_LOCATION, FUNCTION, SHARE, PROVIDER, RECIPIENT, CLEAN_ROOM, METASTORE, PIPELINE, VOLUME, CONNECTION, CREDENTIAL, EXTERNAL_METADATA, STAGING_TABLE

Example: schema

parent_full_namestring

Name of the parent resource. Returns metastore ID if the parent is a metastore.

Example: main.default

quota_namestring

The name of the quota.

Example: table-quota

quota_countint32

The current usage of the resource quota.

Example: 1234

quota_limitint32

The current limit of the resource quota.

Example: 10000

last_refreshed_atint64

The timestamp that indicates when the quota count was last updated.

Example: 1723750401

next_page_tokenstring

Opaque token to retrieve the next page of results. Absent if there are no more pages. page_token should be set to this value for the next request.

Get Quota GA

GET /api/2.1/unity-catalog/resource-quotas/{parent_securable_type}/{parent_full_name}/{quota_name}

The GetQuota API returns usage information for a single resource quota, defined as a child-parent pair. This API also refreshes the quota count if it is out of date. Refreshes are triggered asynchronously. The updated count might not be returned in the first call.

API scopes: unity-catalog

Parameters

parent_securable_typestringpath

Securable type of the quota parent.

parent_full_namestringpath

Full name of the parent resource. Provide the metastore ID if the parent is a metastore.

quota_namestringpath

Name of the quota. Follows the pattern of the quota type, with "-quota" added as a suffix.

Response

quota_infoobject

The returned QuotaInfo.

Show child attributesHide child attributes
parent_securable_typestring

The quota parent securable type.

Values: CATALOG, SCHEMA, TABLE, STORAGE_CREDENTIAL, EXTERNAL_LOCATION, FUNCTION, SHARE, PROVIDER, RECIPIENT, CLEAN_ROOM, METASTORE, PIPELINE, VOLUME, CONNECTION, CREDENTIAL, EXTERNAL_METADATA, STAGING_TABLE

Example: schema

parent_full_namestring

Name of the parent resource. Returns metastore ID if the parent is a metastore.

Example: main.default

quota_namestring

The name of the quota.

Example: table-quota

quota_countint32

The current usage of the resource quota.

Example: 1234

quota_limitint32

The current limit of the resource quota.

Example: 10000

last_refreshed_atint64

The timestamp that indicates when the quota count was last updated.

Example: 1723750401